## liblog4ada 1.0

=== debian/changelog ===
liblog4ada (1.0-5) unstable; urgency=low

  * add source/format file to use 3.0 version (quilt)
    - remove lintian warning
      missing-debian-source-format

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Tue, 13 Apr 2010 18:35:00 +0200

liblog4ada (1.0-4) unstable; urgency=low

  * Correct minor copyright issue
    in debian/copyright libxmlezout file mixed with liblog4ada one

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Thu, 25 Mar 2010 09:59:00 +0100

liblog4ada (1.0-3) unstable; urgency=low

  * Fix missing dependency
    - liblog4ada1-dev depends on libxmlezout1-dev
    Closes: #571068

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Tue, 23 Feb 2010 09:51:21 +0100

liblog4ada (1.0-2) unstable; urgency=low

  * Lintian cleaning (warnings and some info)
      I: binary-control-field-duplicates-source
      W: native-package-with-dash-version
      W: debhelper-but-no-misc-depends
      W: quilt-build-dep-but-no-series-file
      W: patch-system-but-no-source-readme
      I: description-possibly-contains-homepage
  * Architecture support changes to any.  Closes: #568443.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Fri,  5 Feb 2010 15:01:00 +0100

liblog4ada (1.0-1) unstable; urgency=low

  * First upstream version.  Closes: #562942

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Mon, 28 Dec 2009 22:24:00 +0100

Local variables:
left-margin: 2
End:
