## liblog4ada 1.2

=== debian/changelog ===
liblog4ada (1.2-5) unstable; urgency=low

  * Fix bad dependency due to libxmlezout2 and libxmlezout3-dev
    arriving in unstable
  * lintian cleaning
  * Closes: #755110
    because there is no more dependency on gnat-4.6, applying Breno Leitao patch

 -- Xavier Grave <xavier.grave@csnsm.in2p3.fr>  Sun, 05 Oct 2014 16:21:05 +0200

liblog4ada (1.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add liblog4ada1 symbols for mips and mipsel.
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>.
    Closes: #754726.
  * Add liblog4ada1 symbols for ppc64el.
    Patch by Breno Leitao.
    Closes: #755816.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 24 Sep 2014 10:10:33 +0100

liblog4ada (1.2-4) unstable; urgency=low

  * Compile with gnat-4.9
    Closes: #749375
  * Lintian cleaning
    hardening-no-relro
    debug-file-with-no-debug-symbols
    no-symbols-control-file
    debug-package-for-multi-arch-same-pkg-not-coinstallable

 -- Xavier Grave <xavier.grave@csnsm.in2p3.fr>  Wed, 28 May 2014 15:25:30 +0200

liblog4ada (1.2-3) unstable; urgency=low

  * change in Build Depends Indep
    texlive-latex-base to texlive-latex-recommended
    because of url.sty package change
    Closes: #669531

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Tue, 24 Apr 2012 12:37:16 +0200

liblog4ada (1.2-2) unstable; urgency=low

  * Add a check against pdflatex, workaround bug #660756 of pbuilder
    - Closes: #660245.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Tue, 21 Feb 2012 16:54:00 +0100

liblog4ada (1.2-1) unstable; urgency=low

  * New upstream version : 1.2
    - add color display in console appender
    - file appender enhanced : split into multiple files
    - package renamings per Debian Policy for Ada:
      liblog4ada1-dev -> liblog4ada2-dev
      liblog4ada0     -> liblog4ada1
  * Take new gcc-multilib scheme into account
    - put libs in /usr/lib/$(DEB_HOST_MULTIHARCH)
    - modify control file accordingly
  * Build with gnat-4.6. Closes: #642645.
  * Debhelper compatibility level 8.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Mon, 12 Sep 2011 16:51:26 +0200
