=== debian/control ===
Source: liblog4ada
Priority: optional
Section: libs
Maintainer: Xavier Grave <xavier.grave@csnsm.in2p3.fr>
Build-Depends: debhelper (>= 9), libxmlezout3-dev, gnat, gnat-4.9, dpkg-dev (>= 1.17.9)
Build-Depends-Indep: texlive-latex-recommended
Homepage: http://logging.apache.org/log4j
Standards-Version: 3.9.5

Package: liblog4ada2-dev
Section: libdevel
Architecture: any
Depends: liblog4ada1 (= ${binary:Version}), gnat, gnat-4.9, ${misc:Depends}, libxmlezout3-dev
Description: Ada library for flexible logging (development)
 Log4Ada is a library that eases logging in applications written in
 Ada. It is modelled after, and compatible with, log4j.  For more
 information about the logging scheme developed in this library see
 the log4j project : http://logging.apache.org/log4j/docs/
 .
 This package contains file needed to develop applications with Log4Ada.

Package: liblog4ada1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada library for flexible logging (runtime)
 Log4Ada is a library that eases logging in applications written in
 Ada. It is modelled after, and compatible with, log4j.  For more
 information about the logging scheme developed in this library see
 the log4j project : http://logging.apache.org/log4j/docs/
 .
 This is the runtime library for Log4Ada.

Package: liblog4ada-dbg
Section: debug
Priority: extra
Architecture: any
Depends: liblog4ada1 (=${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Ada library for flexible logging (debug)
 Log4Ada is a library that eases logging in applications written in
 Ada. It is modelled after, and compatible with, log4j.  For more
 information about the logging scheme developed in this library see
 the log4j project : http://logging.apache.org/log4j/docs/
 .
 This is the library containing debugging symbols for Log4Ada.

Package: liblog4ada-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Ada library for flexible logging (documentation)
 Log4Ada is a library that eases logging in applications written in
 Ada. It is modelled after, and compatible with, log4j.  For more
 information about the logging scheme developed in this library see
 the log4j project : http://logging.apache.org/log4j/docs/
 .
 This package contains a pdf documentation file and some examples.
