=== debian/watch ===
# Upstream does not release source as versioned tarballs, but provides
# it in a public Control Version System. You may get the tarball used
# to build this package (actually, with different timestamps) with
# make -f debian/rules get-orig-source
# if you want the same version used to build the package :
# make -f debian/rules get-pkg-source
