## liblog4ada 1.3

=== debian/changelog ===
liblog4ada (1.3-5) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:10:02 +0200

liblog4ada (1.3-4) experimental; urgency=medium

  * Rebuild with gcc-8 and updated xmlezout, aws.
    Rename shared library and -dev package per Debian Ada policy.
  * Debhelper 11. Standards-Version: 4.1.4
  * Drop obsolete version restriction for dpkg-dev.
  * Remove unrelated value for Homepage.
  * Patch fixing new warnings.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 May 2018 17:30:45 +0200

liblog4ada (1.3-3) unstable; urgency=medium

  * Rebuild with libaws 17.2.2017-2 (because of libxmlada-unicode-dev).
    -dev version is already new in testing.
  * Standards-Version: 4.1.0.
  * Increase gprbuild verbosity in run-time test.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Sep 2017 16:21:17 +0200

liblog4ada (1.3-2) unstable; urgency=medium

  * Rebuild with gnat-7 and related dependencies.
    Rename runtime package (soversion) and -dev package (aliversion).
  * Simplify ada_libraries build_log4ada.gpr rules.
    Transmit ADAFLAGS. Enable all hardening flags.
  * Allow -doc to satisfy Multi-Arch foreign dependencies.
  * gnat-7 deals with SOURCE_DATE_EPOCH by itself.
  * pdflatex deals with SOURCE_DATE_EPOCH without faketime.
  * Debhelper 10.
  * Standards-Version: 4.0.1. Let -dev only suggest -doc.
    HTTPS copyright format URL. Handle DEB_BUILD_OPTIONS=nodoc.
  * Replace (commented) watch file confusing tools with README.source.
  * Update Vcs-Mtn URL.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 12 Aug 2017 16:09:32 +0200

liblog4ada (1.3-1) unstable; urgency=low

  [ Xavier Grave ]
  * New upstream version.
  * Break/Replace relations with previous -dev are implicit via gnat-x.
  * Remove symbols files of specific architectures
    all architectures should compile with same compiler gnat-6.

  [ Nicolas Boulenguez ]
  * Apply revision a4250da70b46d0fb5e4217847dcea4cd4c52a479 from upstream
    branch org.log4Ada to fix an error now detected by gcc.
  * Add myself to uploaders.
  * Add basic run time test.
  * Disable all symbol files. Closes: #779218.
  * Switch to gprbuild because gnatmake is dropping project support.
  * Switch to dh sequencer and dh-ada-library packaging helpers.
  * Switch from manual -dbg package to automatic -dbgsym package.
  * Put linker flags like --as-needed before -l options.
  * Ensure reproducible ALI and PDF generation.
  * Enable all hardening flags.
  * Standards-Version: 3.9.8. Add VCS-* fields.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 16 Aug 2016 16:58:49 +0200

liblog4ada (1.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with gnat-6. Closes: #831237, #756445, #749714.
  * Bump ALI and SO version
  * Add symbols file for ppc64. Closes: #801445.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Aug 2016 14:54:15 +0200
