=== debian/control ===
Source: liblog4ada
Priority: optional
Section: libs
Maintainer: Xavier Grave <xavier.grave@csnsm.in2p3.fr>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 11),
 ,libxmlezout6-dev
 ,gnat, gnat-8
# This line is parsed by debian/rules.
 ,libaws18-dev,
 ,gprbuild (>= 2017)
# gprbuild removing auto.cgpr after the build
 ,dh-ada-library (>= 6.7)
# dh-ada-library knowing that -dbg packages are obsolete.
Build-Depends-Indep: texlive-latex-recommended
Standards-Version: 4.1.4
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.liblog4ada
Vcs-Mtn: mtn://www.ada-france.org?org.debian.liblog4ada

Package: liblog4ada5-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Suggests: liblog4ada-doc
Description: Ada library for flexible logging (development)
 Log4Ada is a library that eases logging in applications written in
 Ada. It is modelled after, and compatible with, log4j.  For more
 information about the logging scheme developed in this library see
 the log4j project : http://logging.apache.org/log4j/docs/
 .
 This package contains file needed to develop applications with Log4Ada.

Package: liblog4ada4
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada library for flexible logging (runtime)
 Log4Ada is a library that eases logging in applications written in
 Ada. It is modelled after, and compatible with, log4j.  For more
 information about the logging scheme developed in this library see
 the log4j project : http://logging.apache.org/log4j/docs/
 .
 This is the runtime library for Log4Ada.

Package: liblog4ada-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Ada library for flexible logging (documentation)
 Log4Ada is a library that eases logging in applications written in
 Ada. It is modelled after, and compatible with, log4j.  For more
 information about the logging scheme developed in this library see
 the log4j project : http://logging.apache.org/log4j/docs/
 .
 This package contains a pdf documentation file and some examples.
