=== debian/rules ===
#!/usr/bin/make -f
# Debian build script for log4Ada - Copyright (c) 2009-2014 Xavier Grave

$(foreach line,$(shell sed -n '\
  s/^ ,gnat, gnat-\([0-9.]\+\)$$/ \
    GNAT_VERSION:=\1 \
  /p;\
  s/^Package: liblog4ada\([0-9.]\+\)$$/ \
    soname:=liblog4ada.so.\1 \
  /p;\
  ' debian/control),$(eval $(line)))

DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk

mtnversion := t:log4Ada-1.3
mtnbase := base_debian.db
mtn_uri := mtn://monotone.ada-france.org?org.log4Ada
orig_dir := liblog4ada-$(DEB_VERSION_UPSTREAM).orig
orig_tgz := liblog4ada_$(DEB_VERSION_UPSTREAM).orig.tar.gz
orig_pkg_dir := liblog4ada-$(DEB_VERSION_UPSTREAM).orig
orig_pkg_tgz := liblog4ada_$(DEB_VERSION_UPSTREAM).orig.tar.gz

%:
	dh $@ --with=ada-library

.PHONY: get-orig-source
get-orig-source:
	if [ ! -e ../$(mtnbase) ]; then \
		mtn -d../$(mtnbase) db init; \
	fi; \
	TMPDIR=$$(mktemp --tmpdir --directory liblog4ada-get-orig-source-XXXXXXXXXX) && \
	mtn clone -d ../$(mtnbase) $(mtn_uri) -k "" $$TMPDIR/$(orig_dir) && \
	(cd $$TMPDIR && tar --create --gzip --exclude="_MTN" $(orig_dir)) > $(orig_tgz) ; \
	rm -rf $$TMPDIR
	@echo "The file $(orig_tgz) contains the latest Debian snapshot of upstream sources."

.PHONY: get-pkg-source
get-pkg-source:
	if [ ! -e ../$(mtnbase) ]; then \
		mtn -d../$(mtnbase) db init; \
	fi; \
	TMPDIR=$$(mktemp --tmpdir --directory liblog4ada-get-pkg-source-XXXXXXXXXX) && \
	mtn clone -d ../$(mtnbase) $(mtn_uri) -r$(mtnversion) -k "" $$TMPDIR/$(orig_pkg_dir) && \
	(cd $$TMPDIR && tar --create --gzip --exclude="_MTN" $(orig_pkg_dir)) > $(orig_pkg_tgz) ; \
	rm -rf $$TMPDIR
	@echo "The file $(orig_pkg_tgz) contains the pkg Debian of upstream sources."

# Ignore these targets from upstream GNUmakefile.
.PHONY: $(addprefix override_dh_auto_,build-arch build-indep install clean)

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc
endif

override_dh_auto_clean:
	rm -f liblog4ada.a liblog4ada.so.* liblog4ada.so
	rm -fr debian/obj-static debian/obj-dynamic
	$(MAKE) -C doc clean

override_dh_auto_build-arch:
	gprbuild -p $(BUILDER_OPTIONS) debian/build_log4ada.gpr \
	  $(foreach v,ADAFLAGS,"-X$(v)=$($(v))")
	gprbuild -p $(BUILDER_OPTIONS) debian/build_log4ada.gpr \
	  $(foreach v,ADAFLAGS LDFLAGS soname,"-X$(v)=$($(v))")
