## liblog4ada 1.3.1.b6dafb49

=== debian/changelog ===
liblog4ada (1.3.1.b6dafb49-7) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 18:55:58 +0200

liblog4ada (1.3.1.b6dafb49-6) experimental; urgency=medium

  * Build with gnat-11. Rename -dev package accordingly.
  * Standards-Version: 4.6.0.
  * Merge copyright stanzas with the same license.
  * Use unversioned debian_packaging.mk from gnat package.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 22 Mar 2022 13:07:58 +0000

liblog4ada (1.3.1.b6dafb49-5) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 13:17:51 +0100

liblog4ada (1.3.1.b6dafb49-4) experimental; urgency=medium

  * Build with gnat-10. Rename lib and -dev accordingly.
  * Debhelper 13.
  * Remove obsolete Pre-Depends.
  * Various style details.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 24 May 2020 01:51:15 +0000

liblog4ada (1.3.1.b6dafb49-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Build-Depend texlive-latex-extra. Closes: #952234.
  * Debhelper 12 dh-sequence syntax.
  * Standards-Version: 4.5.0.
  * Drop redundant branch from Vcs-Git.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 17:11:38 +0100

liblog4ada (1.3.1.b6dafb49-1) experimental; urgency=medium

  * New upstream snapshot built with gnat-9 and updated dependencies.
    Rename library and -dev packages accordingly.
  * Split -arch and -indep build-dependencies.
  * Build-Depend texlive-latex-base instead of recommended.
  * Debhelper 12. Standards-Version 4.4.1. Rules-Requires-Root no.
  * Update control/Homepage and copyright/Source.
  * Move VCS to salsa.debian.org.
  * Patch upstream GNAT project instead of a recreating one.
  * Enable all linker checks.
  * Remove get-orig-source and get-pkg-source, they were referencing an
    incomplete Monotone copy of the HG upstream repository.
  * Update ADTTMP variable name in tests.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 03 Dec 2019 22:15:14 +0100
