=== debian/control ===
--- 
+++ 
@@ -3,21 +3,24 @@
 Section: libs
 Maintainer: Xavier Grave <xavier.grave@csnsm.in2p3.fr>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 11),
- ,libxmlezout6-dev
- ,gnat, gnat-8
-# This line is parsed by debian/rules.
- ,libaws18-dev,
- ,gprbuild (>= 2017)
-# gprbuild removing auto.cgpr after the build
- ,dh-ada-library (>= 6.7)
-# dh-ada-library knowing that -dbg packages are obsolete.
-Build-Depends-Indep: texlive-latex-recommended
-Standards-Version: 4.1.4
-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.liblog4ada
-Vcs-Mtn: mtn://www.ada-france.org?org.debian.liblog4ada
+Build-Depends:
+ debhelper-compat (= 13),
+Build-Depends-Arch:
+ dh-ada-library (>= 7.5),
+ dh-sequence-ada-library,
+ gnat,
+ gnat-11,
+ gprbuild (>= 2017),
+ libxmlezout9-dev,
+Build-Depends-Indep:
+ texlive-latex-extra,
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Homepage: https://sourceforge.net/projects/log4ada/
+Vcs-Browser: https://salsa.debian.org/debian/liblog4ada
+Vcs-Git: https://salsa.debian.org/debian/liblog4ada.git
 
-Package: liblog4ada5-dev
+Package: liblog4ada8-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
@@ -30,9 +33,9 @@
  .
  This package contains file needed to develop applications with Log4Ada.
 
-Package: liblog4ada4
+Package: liblog4ada6
+# This line is parsed by debian/rules.
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: Ada library for flexible logging (runtime)
